AutoCAD VB :: Convert Objects To Revcloud

Aug 31, 2011

I'm trying to convert a closed 2D polyline into a revcloud (like using the command Revcloud > Object).But it seems there's no VBA command to draw a revcloud.So I had to add bulges between each vertex, but with this solution my cloud's arcs can be very small...

If Entity.Layer = "RevCloud" Then If Entity.EntityType = acPolyline Then NumberVertices = 0 vCoord = Entity.Coordinates For Each Dcoord In vCoord NumberVertices = NumberVertices + 1 NextNumberVertices = NumberVertices / 3 If Entity.Type <> acSimplePoly Then Entity.Type = acSimplePoly End If For nIndex = 0 To NumberVertices - 1 Entity.SetBulge nIndex, -1 Next End IfEnd If.

View 3 Replies


ADVERTISEMENT

AutoCAD LT :: REVCLOUD Is Finishing As Concave

Sep 15, 2011

About 40% of the time, the REVCLOUD command will finish the cloud as concave. It will start correctly and be correct the entire time I am surrounding an area on my drawing and then when the last arc joins the starting point the entire cloud become inverted. Why? Is there something I can do to make it not do this? I don't seem to have any control over how it finishes. When it completes backwards, I fix it using PEDIT > Decurve then I convert the Polyline into a cloud and it appears correctly. Is there a better way?

View 9 Replies View Related

AutoCad 2D :: Converting PLine To Revcloud

Dec 11, 2012

I'm using AutoCAD 2013 and it will not convert a p-line to revcloud .

View 9 Replies View Related

AutoCad :: Revcloud Not Working Properly?

Aug 15, 2013

Acad 2009, the revcloud command doesn't give the options for "style" or "object" anymore.

View 4 Replies View Related

AutoCad :: How To Change Scallop Size Of Revcloud Feature

Oct 24, 2011

How to change the scallop size of the Revcloud feature. I want to shrink the cloud undulations to smaller/tighter.

View 3 Replies View Related

AutoCad :: Convert Multiple Single Text Objects Into Multiple Mtext Objects

Jul 3, 2013

I have long used the following lisp to convert multiple single text objects into multiple mtext objects (i.e. make each text entity into separate mtext entities).

; T2M - convert individual Texts/Dtexts to individual MTexts
; modified by Xanadu - www.xanadu.cz
;
(defun C:T2M (/ ss i elist)

[Code]....

However, the mtext entity always moves position slightly (compared to the original text entity) after converting the object. better lisp that converts multiple text entities into mtext entities (which are all separate still, i.e. not joined together) without the position of the entity changing?

View 4 Replies View Related

AutoCAD 2010 :: Revcloud - Unable To Open Dialog Box Message

Sep 18, 2013

when I invoke the Revcloud command and type "O" for options, I get a message box that says "Unable to open dialog box", if I close that message box I'm able to draw cloud lines in my drawing but I have no control of the cloud since I can not access the options dialog box.

My Revcloud was working fine last week.

why I'm getting the "Unable to open dialog box" message?

View 3 Replies View Related

AutoCAD Visual LISP / AutoLISP :: Revcloud And Delta Routine

Jul 9, 2013

I'm trying to create a lisp routine where It will create a layer for the delta that is needed and at the same time adds the delta. I get delta revisions often and it takes time to add a new layer and a new delta for each plan. I would like to create a routine that creates the the new layer based on the revision number.

For example if I get a revision 2 I would like to have a lisp routine that creates a new layer but asks what number i would like to use, once the new layer gets created the revcloud command would run, I use polylines around my revisions then change them to cloud with the revcloud command. after i pick my polylines to be changed to clouds then it would add a delta block that is in an attribute and it lets me put the number of the revision i want. At the end I would have a new layer, a cloud around my revision and a delta corresponding to the revision number i'm currently working with.

I have a routine that creates the new layer, sets it current, and starts the revcloud command where i can pick the objects to change to clouds, after that I'm stuck, I'm not sure how to tell AutoCAD that after the selection is made to start the insert command to insert that delta attribute block. I mean the routine ends after i pick my objects, I tried doint the delta first but i ran into the same issue since my routine ends after AutoCAD ask me to pick a location to put my delta block.

I need to figure a way to tell AutoCAD that after something is picked or selected then to continue with the lisp routine without ending it. I atteched an example of what I have.

View 9 Replies View Related

AutoCad 3D :: Convert Complex Objects Into Solid?

Oct 14, 2012

I want to convert a complex object into solid, so that I can measure its volume.

View 9 Replies View Related

AutoCad :: Raster Images Convert To Objects

Aug 11, 2013

In the old days (15years ago) we scanned a lot of files to DXB, and simply imported the image into the .DWG as small objects. (I believe they were treated as polyline segments). The lines from the original scan became a series of small polyline segments (not joined) but the scanned image plotted as good as the original, and even better, the objects could be erased and a "hybrid" drawing created without xrefs or "embedded" raster files. You could manipulate the scanned objects with normal autocad commands, and they existed on Layer 7.

Now, I am forced to Import a TIFF and "embed" the object (if I want it to be a permanent part of the drawing), and edit it with seperate programs like Raster Design.

QUESTION: How to convert a "embedded raster image" into a DXB image?

The scanner used to do the work for me and save the image as DXB. It was not a "vectorization program", but the raster lines became small (not joined) polyline segments in the process.

I don't want to "vectorize" with a seperate program, because then it just "traces" with a zero-width polyline.

The old scanner used to save to DXB, now I don't even see that as an option.

Any words of wisdom about creating a "scan" that can become "objects" (even small dots) INSIDE the DWG file, instead of a "Raster Image" that has to be xref'ed or "embedded", and will not even plot to a DXB or HPGL format?

I have mostly TIFF files that I would like to "convert" to DXB, and not have to re-scan them. I hate that the Raster file is treated as a seperate xref or "embedded" Raster Image.

I KNOW we used to scan directly to DXB and bring in the objects with the DXBIN command!

View 9 Replies View Related

AutoCAD 2010 :: Raster Images Convert To Objects?

Aug 11, 2013

In the old days (15years ago) we scanned a lot of files to DXB, and simply imported the image into the .DWG as small objects. (I believe they were treated as polyline segments).

Now, I am forced to Import a TIFF and "embed" the object (if I want it to be a permanent part of the drawing), and edit it with separate programs like Raster Design. How to convert a "embedded raster image" into a DXB image?

The scanner used to do the work for me and save the image as DXB.It was not a "vectorization program", but the raster lines became small (not joined) polyline segments in the process.I don't want to "vectorize" with a separate program, because then it just "traces" with a zero-width polyline.The old scanner used to save to DXB, now I don't even see that as an option.

Any words of wisdom about creating a "scan" that can become "objects" (even small dots) INSIDE the DWG file, instead of a "Raster Image" that has to be xref'ed or "embedded", and will not even plot to a DXB or HPGL format?

View 9 Replies View Related

AutoCAD 2013 :: Convert 3D Face Objects To Single Surface

Jul 26, 2012

I have a series of Autocad Objects (3D faces).  I need to turn the contiguous group of them into a SINGLE Autocad surface.  I know next to nothing about vanilla autocad and 3D stuff.  Seems there must be a way to make a surface out of objects.  I would then use this resulting surface to carve a solid.  DWG with 3D faces in it attached.

View 2 Replies View Related

AutoCad 2D :: Convert 250 Single Line Text Objects To Separate MLtext?

Jan 22, 2013

Is this possible? The problem with the express tools is that they place these single line text objects into one MLtext which is not what I want.

View 9 Replies View Related

CorelDRAW X5 :: How To Convert ALL Outlines To Objects

Oct 26, 2012

I often need to convert all outlines to objects in a design before I send it out or when I create a flash base for screen printing.  I know how to convert and outline to an object, but my question is:

How do i convert ALL outlines to objects at the same time?  Is there a function I'm missing or possibly a macro?  Also, I don't want to have to select every outline myself.  I'm already doing that and ctrl/shift/Q.  Also, If I'm forced/limited to doing it myself manually, there's always the chance that I miss one.  I cannot believe that this isn't a native function.

View 4 Replies View Related

3ds Max :: Convert MrProxy Objects To Polygons?

Dec 22, 2011

I've create a large scene with a lot of mrPoxy trees. I realize now that I need a velocity map and some volumetric lights for post, and the scanline render seems like a better option. Is there a way to get these mrProxy objects to render with the default scanline engine without changing there position?

View 1 Replies View Related

Illustrator :: How To Convert Layers Into Objects

Feb 8, 2011

My problem is when i place PSD file into illustrator, it opens up "Photoshop Import Option" menu, which lets me choose either:

(1) convert photoshop layers to objects (or)
(2) Flatten photoshop layers to a single image
 
All other options are greyed out (meaning i cannot select them). The above 2 options will embed the image into illustrator, thus when i update in photoshop, they will not auto update.
 
I dont have this problem in the past (which means i dont get this menu when i use the place function) but it just poped up the last week.But when i open OLD illustrator files which have PSD images not embeded, i am able to edit the PSD and illustrator will auto update.
 
it is really frustrating to keep placing PSD files everytime when i have changes.

View 8 Replies View Related

Photoshop :: Smart Objects And Convert Color Profile

Feb 20, 2013

I get different results when converting to the same color profile before and after converting to smart object.Do the following:
 
1. create a cmyk document with color profile 'Euroscale coated v2' and fill the document with the color 86, 32, 14, 0
2. change the color profile to 'Euroscale Coated v2' -> the values change to 73, 29, 16, 0, no color change on the monitor
3. create a smart object -> the values stay the same, no color change on the monitor
 4. create a second document like in step 1
5. create a smart object -> the values stay the same, no color change on the monitor
6. now change the color profile to 'Euroscale Coated v2' -> the values stay the same, this time we have a color change on the monitor.

View 7 Replies View Related

CorelDRAW Graphics Suite X6 :: How To Convert Outlines To Objects

Oct 23, 2013

When I export a page as Illustrator CS4, I choose the option "Convert outlines to objects" but it doesn't seem to do what I expect. It does fix the issue of missing arrowheads on lines, but it doesn't convert the outlines to fills as I expected -- is that correct? I wish there was an option to convert lines to fills on export.

View 8 Replies View Related

CorelDRAW Graphics Suite X5 :: Convert Outlines To Objects

May 31, 2011

How to convert all the outlines to objects at once or to applies particularly for selection only?

View 10 Replies View Related

Photoshop :: Convert Smart Objects / Layers From RGB To CMYK Document?

Sep 27, 2013

While working and when the job was nearly done (Photoshop document with several layers to correct wrinkles, teeth, neck...) , I found out that the document is setup RGB.I have to convert it into CMYK but I don't want to merge it or lose layers since I need them in another Photoshop document too.
 
While converting the image from RGB to CMYK, I found out that some of the layers (hue/saturation adjustment layers) don't exist anymore when converted to CMYK...How do I get these layers (or at least the effect they give to the design) in CMYK?

View 1 Replies View Related

AutoCAD Civil 3D :: Import 3D As Solid Objects Or Convert Polymesh To Solid

Jun 18, 2013

I have a.3ds file imported into Civil 3d. The object imported as a polymesh in Civil 3d. I need the solid 3d object to do some edit like slice or union and subtract.

The question is "How can I import .3ds into Civil 3d as a solid objects or hoe can i convert polymesh to solid?"

View 9 Replies View Related

CorelDRAW Graphics Suite X5 :: How To Convert All Outlines In Page / Entire Document To Objects

Jun 25, 2011

Is there any free macro or any script in this forum to convert all the outlines (in a document or page) to objects .

View 4 Replies View Related

CorelDRAW Graphics Suite X5 :: Macro - Select Certain Colored Objects And Convert To No Fill Different Colored Hairlines

Apr 24, 2012

We need a macro that will allow you to select a certain color fill inside document and change all to no fill hairlines.  It needs to be capable of doing it several times within the same document.  Does anything like this exist out there? 

We have color replacer.  We want it to do this automactically with a static group of colors everytime without any manual maniplulation required. 

View 3 Replies View Related

AutoCad :: Size And Shape Of All Objects Connecting The Objects To The Main Structure

Nov 22, 2012

I am very much new to AutoCad, but have learned quite a bit about it in the last few days. As a part of the learning I have been building a 3D model of the shed my dad is building. But I ran into a problem on the roof and cant seem to figure out how to click everything into place.

My problem: I need to keep the size and shape of all objects while also connecting the objects to the main structure. I need to keep A and B connected to the main structure and adjust the angles so that both meet at C. But if I move one then another moves out of place. (In the pic B is out of place) All I want to do is hold the beams at A and B in their spot while adjusting the rotation on both beams to meet at C all at the same time. I have tried to fine adjust the rotation on the beams individually but still cant get them together. I cant seem to get the constraints feature to work, because I guess it only works in 2D. I have tried to use the align tool but it just throws everything haywire.

View 6 Replies View Related

AutoCAD VB :: Converting AttributeDefinition Objects To Text Objects On Same Layer

May 9, 2013

I have several .dwg files that I use as templates. I run find and replace VBA routines on the template .dwg files, ie find $Flavor$ and replace it with "Grape", and then I save the .dwg to another directory with a new name. 

These VBA routines work well for acdbText and acdbMText objects, but I have a bunch of AcdbAttributeDefinition objects in the .dwg templates as well.

After much research about the AutoCAD object model (I'm mostly a Microsoft Access VBA programmer), I have come to understand that these AcdbAttributeDefinition objects are actually "remnants" of a block that no longer exists in the drawing.

Anyway, I'd like to convert all of these orphaned AcdbAttributeDefinition objects to acdbText objects in the templates and then delete the AcdbAttributeDefinition objects. I have some code that does just that.

However, the issue that I am having with the code is that the newly created acdbText objects are not on the same layer that the original AcdbAttributeDefinition objects were on. I don't know the syntax to identify what layer the AcdbAttributeDefinition object is on or how to specify what layer on which the acdbText object is created.

how to keep the acdbText objects on the same layers as the original AcdbAttributeDefinition objects during the conversion and deletion process?

Here is the code I am using currently:

Sub AttConvert(dwg as string)Dim oDocument as AcadDocumentDim ent as AcadEntityDim aa as objectset oDocument = Documents.open(dwg) For Each ent In oDocument.ModelSpace If ent.ObjectName = "AcDbAttributeDefinition" Then' DO SOMETHING TO IDENTIFY WHAT LAYER THE ACDBATTRIBUTEDEFINITION OBJECT IS ON
' DO SOMETHING TO SPECIFY THAT THAT IS THE LAYER TO CREATE THE ACDBTEXT OBJECT ON Set aa = ThisDrawing.ModelSpace.AddText(ent.TagString, ent.InsertionPoint, ent.Height) End If Next ent For Each ent In ThisDrawing.ModelSpace If ent.ObjectName = "AcDbAttributeDefinition" Then ent.Delete End If Next ent End Sub

View 1 Replies View Related

AutoCAD 2010 :: Aligning Objects In Modelspace With Objects In Paperspace?

Apr 10, 2012

I'd like to know how to align an object in model space with the edge of my viewport in paperspace.

When I draw, I like to lay out multiple complete drawings in model space, make an appropriately scaled bounding box around them, and then snap a view port to the bounding box in my layout. I usually have multiple drawings lined up in a row in modelspace, so when I want a new layout I do a Save As and then pan around in my viewport to find the next bounding box, at which point I have to resize the viewport to get it to snap to the edges nicely. I really want to be able to to it the otehr way around- while panning I'd like to be able to grab a corner of my modelspace bouding box and snap it to the the corresponding corner of my viewport window. That way making new layouts would be a snap. Is there a way to do this in AutoCAD 2012 LT?

View 4 Replies View Related

AutoCAD 2013 :: Select Objects Not Showing How Many Objects Found

May 2, 2013

A user is having problems when using the copy command in AutoCAD 2013.

When they select objects, its not reporting on the commandline how many objects its found or keeping a running total of objects selected. Not even any duplications...

I've tested it on my machine but i cannot replicate the issue and have never come across this before!

Is it a bug? Is it a variable? User setting etc.

View 9 Replies View Related

AutoCAD 2010 :: Selecting Objects BEHIND OR INSIDE Other 3D Objects

Jul 3, 2013

Something changed in my settings & I don't know how to chance it back. I can't click on to select objects inside or behind objects. What do I have to change to be able to select any item I click on regardless of where it is?

View 1 Replies View Related

Corel PHOTO-PAINT X6 :: Why Combine Objects Together Cut Bottom Side Of Combined Objects

Nov 27, 2012

Why combine objects together cut bottom side of combined objects?

system configuration:

Win 7 Pro 64bit, Intel i5-2500, 8 GB RAM, 128 SSD SAMSUNG + 2TB on hard drives.

corel version:

X6 VERSION: 16.4.0.1280

View 14 Replies View Related

Photoshop :: Compare Number Of Pixels Or Diameter Of Objects Across Images For Each Of 10 Objects

Apr 15, 2013

I am currently selecting 10 objects from a picture and then I delete the background. This leaves just the 10 objects of interest in the image.
 
I have hundreds of these images and would like to compare the number of pixels or diameter of the objects across the images for each of the 10 objects. Is there a way I can automate Photoshop to go through a directory of images and measure the pixels of each of the 10 objects, and then export those measurements to a file?

View 29 Replies View Related

Illustrator :: Can't Scale Objects / Requested Transformation Would Make Some Objects Too Small To Use

Jul 26, 2012

How does one remedy this Adobe error message? "Can't scale the objects. The requested transformation would make some objects too small to use." This one always gets me. I'll spend more time trying to find the object in question. This has happened in almost al versions, but this time it's CS5.

View 3 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved